#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const end *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1);
  flick_fluke_encode_char8(4, _data->elem2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, end *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1);
  flick_fluke_decode_char8(4, _data->elem2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const begin *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1);
  flick_fluke_encode_signed32(4, _data->elem2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, begin *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1);
  flick_fluke_decode_signed32(4, _data->elem2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const cLd *_data)
{
  flick_fluke_encode_new_glob(216);
  flick_fluke_encode_new_chunk(216);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 4 * 50);
  flick_fluke_encode_float64(208, _data->last);
  flick_fluke_encode_end_chunk(216);
  flick_fluke_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data)
{
  flick_unsigned8_t _t0_array_length;

  flick_fluke_decode_new_glob(216);
  flick_fluke_decode_new_chunk(216);
  flick_fluke_decode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_fluke_decode_bcopy(4, _data->data, 4 * _t0_array_length);
  flick_fluke_decode_float64(208, _data->last);
  flick_fluke_decode_end_chunk(216);
  flick_fluke_decode_end_glob(216);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const dLc *_data)
{
  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(209);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_bcopy(8, _data->data, 4 * 50);
  flick_fluke_encode_char8(208, _data->last);
  flick_fluke_encode_end_chunk(209);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data)
{
  flick_unsigned8_t _t1_array_length;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(209);
  flick_fluke_decode_float64(0, _data->first);
  _t1_array_length = 50;
  flick_fluke_decode_bcopy(8, _data->data, 4 * _t1_array_length);
  flick_fluke_decode_char8(208, _data->last);
  flick_fluke_decode_end_chunk(209);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const sLs *_data)
{
  flick_fluke_encode_new_glob(206);
  flick_fluke_encode_new_chunk(206);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 4 * 50);
  flick_fluke_encode_signed16(204, _data->last);
  flick_fluke_encode_end_chunk(206);
  flick_fluke_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data)
{
  flick_unsigned8_t _t2_array_length;

  flick_fluke_decode_new_glob(206);
  flick_fluke_decode_new_chunk(206);
  flick_fluke_decode_signed16(0, _data->first);
  _t2_array_length = 50;
  flick_fluke_decode_bcopy(4, _data->data, 4 * _t2_array_length);
  flick_fluke_decode_signed16(204, _data->last);
  flick_fluke_decode_end_chunk(206);
  flick_fluke_decode_end_glob(206);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const cLCd *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_fluke_encode_new_glob(416);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t3_array_iter].elem1);
      flick_fluke_encode_char8(7, _data->data[_t3_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(15);
  flick_fluke_encode_float64(7, _data->last);
  flick_fluke_encode_end_chunk(15);
  flick_fluke_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_fluke_decode_new_glob(416);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t4_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t5_array_iter].elem1);
      flick_fluke_decode_char8(7, _data->data[_t5_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(15);
  flick_fluke_decode_float64(7, _data->last);
  flick_fluke_decode_end_chunk(15);
  flick_fluke_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const dLCc *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t7_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const sLCs *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_fluke_encode_new_glob(405);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last);
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_fluke_decode_new_glob(405);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t10_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last);
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_fluke_encode_new_glob(413);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t12_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data)
{
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_fluke_decode_new_glob(413);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t13_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t14_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_fluke_encode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t16_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_fluke_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const sCLs *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_fluke_encode_new_glob(404);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t18_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data)
{
  flick_unsigned8_t _t19_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_fluke_decode_new_glob(404);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t19_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_decode_signed32(0, _data->data[_t20_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
}

cLd arrays_test_cLd(mom_ref_t _obj, const cLd *inp, cLd *iop, cLd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  cLd _return;

  memset(&_return, 0, sizeof(cLd ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(432);
    flick_fluke_encode_new_chunk(432);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cLd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    flick_fluke_encode_bcopy(8, inp->data, 4 * 50);
    flick_fluke_encode_float64(208, inp->last);
    flick_fluke_encode_char8(216, iop->first);
    flick_fluke_encode_bcopy(220, iop->data, 4 * 50);
    flick_fluke_encode_float64(424, iop->last);
    flick_fluke_encode_end_chunk(432);
    flick_fluke_encode_end_glob(432);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(648);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t24_array_length;
          flick_unsigned8_t _t25_array_length;
          flick_unsigned8_t _t26_array_length;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(644);
          flick_fluke_decode_char8(0, _return.first);
          _t24_array_length = 50;
          flick_fluke_decode_bcopy(4, _return.data, 4 * _t24_array_length);
          flick_fluke_decode_float64(204, _return.last);
          flick_fluke_decode_char8(212, iop->first);
          _t25_array_length = 50;
          flick_fluke_decode_bcopy(216, iop->data, 4 * _t25_array_length);
          flick_fluke_decode_float64(420, iop->last);
          flick_fluke_decode_char8(428, outp->first);
          _t26_array_length = 50;
          flick_fluke_decode_bcopy(432, outp->data, 4 * _t26_array_length);
          flick_fluke_decode_float64(636, outp->last);
          flick_fluke_decode_end_chunk(644);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(648);
  }
  flick_fluke_client_end_decode();
  return _return;
}

dLc arrays_test_dLc(mom_ref_t _obj, const dLc *inp, dLc *iop, dLc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  dLc _return;

  memset(&_return, 0, sizeof(dLc ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(433);
    flick_fluke_encode_new_chunk(433);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dLc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    flick_fluke_encode_bcopy(16, inp->data, 4 * 50);
    flick_fluke_encode_char8(216, inp->last);
    flick_fluke_encode_float64(224, iop->first);
    flick_fluke_encode_bcopy(232, iop->data, 4 * 50);
    flick_fluke_encode_char8(432, iop->last);
    flick_fluke_encode_end_chunk(433);
    flick_fluke_encode_end_glob(433);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(649);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t30_array_length;
          flick_unsigned8_t _t31_array_length;
          flick_unsigned8_t _t32_array_length;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(645);
          flick_fluke_decode_float64(4, _return.first);
          _t30_array_length = 50;
          flick_fluke_decode_bcopy(12, _return.data, 4 * _t30_array_length);
          flick_fluke_decode_char8(212, _return.last);
          flick_fluke_decode_float64(220, iop->first);
          _t31_array_length = 50;
          flick_fluke_decode_bcopy(228, iop->data, 4 * _t31_array_length);
          flick_fluke_decode_char8(428, iop->last);
          flick_fluke_decode_float64(436, outp->first);
          _t32_array_length = 50;
          flick_fluke_decode_bcopy(444, outp->data, 4 * _t32_array_length);
          flick_fluke_decode_char8(644, outp->last);
          flick_fluke_decode_end_chunk(645);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(649);
  }
  flick_fluke_client_end_decode();
  return _return;
}

sLs arrays_test_sLs(mom_ref_t _obj, const sLs *inp, sLs *iop, sLs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  sLs _return;

  memset(&_return, 0, sizeof(sLs ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(414);
    flick_fluke_encode_new_chunk(414);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sLs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    flick_fluke_encode_bcopy(8, inp->data, 4 * 50);
    flick_fluke_encode_signed16(208, inp->last);
    flick_fluke_encode_signed16(210, iop->first);
    flick_fluke_encode_bcopy(212, iop->data, 4 * 50);
    flick_fluke_encode_signed16(412, iop->last);
    flick_fluke_encode_end_chunk(414);
    flick_fluke_encode_end_glob(414);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(618);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t36_array_length;
          flick_unsigned8_t _t37_array_length;
          flick_unsigned8_t _t38_array_length;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(614);
          flick_fluke_decode_signed16(0, _return.first);
          _t36_array_length = 50;
          flick_fluke_decode_bcopy(4, _return.data, 4 * _t36_array_length);
          flick_fluke_decode_signed16(204, _return.last);
          flick_fluke_decode_signed16(206, iop->first);
          _t37_array_length = 50;
          flick_fluke_decode_bcopy(208, iop->data, 4 * _t37_array_length);
          flick_fluke_decode_signed16(408, iop->last);
          flick_fluke_decode_signed16(410, outp->first);
          _t38_array_length = 50;
          flick_fluke_decode_bcopy(412, outp->data, 4 * _t38_array_length);
          flick_fluke_decode_signed16(612, outp->last);
          flick_fluke_decode_end_chunk(614);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(618);
  }
  flick_fluke_client_end_decode();
  return _return;
}

cLCd arrays_test_cLCd(mom_ref_t _obj, const cLCd *inp, cLCd *iop, cLCd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  cLCd _return;

  memset(&_return, 0, sizeof(cLCd ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t41_array_iter;
    flick_unsigned8_t _t42_array_iter;

    flick_fluke_encode_new_glob(832);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cLCd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    flick_fluke_encode_end_chunk(5);
    for (_t41_array_iter = 0; _t41_array_iter < 50; _t41_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_signed32(3, inp->data[_t41_array_iter].elem1);
        flick_fluke_encode_char8(7, inp->data[_t41_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_float64(3, inp->last);
    flick_fluke_encode_char8(11, iop->first);
    flick_fluke_encode_end_chunk(12);
    for (_t42_array_iter = 0; _t42_array_iter < 50; _t42_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_signed32(3, iop->data[_t42_array_iter].elem1);
        flick_fluke_encode_char8(7, iop->data[_t42_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(15);
    flick_fluke_encode_float64(7, iop->last);
    flick_fluke_encode_end_chunk(15);
    flick_fluke_encode_end_glob(832);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1248);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t49_array_length;
          flick_unsigned8_t _t50_array_iter;
          flick_unsigned8_t _t51_array_length;
          flick_unsigned8_t _t52_array_iter;
          flick_unsigned8_t _t53_array_length;
          flick_unsigned8_t _t54_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.first);
          _t49_array_length = 50;
          flick_fluke_decode_end_chunk(1);
          for (_t50_array_iter = 0; _t50_array_iter < _t49_array_length; _t50_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, _return.data[_t50_array_iter].elem1);
              flick_fluke_decode_char8(7, _return.data[_t50_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(3, _return.last);
          flick_fluke_decode_char8(11, iop->first);
          _t51_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t52_array_iter = 0; _t52_array_iter < _t51_array_length; _t52_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, iop->data[_t52_array_iter].elem1);
              flick_fluke_decode_char8(7, iop->data[_t52_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_float64(7, iop->last);
          flick_fluke_decode_char8(15, outp->first);
          _t53_array_length = 50;
          flick_fluke_decode_end_chunk(16);
          for (_t54_array_iter = 0; _t54_array_iter < _t53_array_length; _t54_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, outp->data[_t54_array_iter].elem1);
              flick_fluke_decode_char8(7, outp->data[_t54_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(15);
          flick_fluke_decode_float64(7, outp->last);
          flick_fluke_decode_end_chunk(15);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1248);
  }
  flick_fluke_client_end_decode();
  return _return;
}

dLCc arrays_test_dLCc(mom_ref_t _obj, const dLCc *inp, dLCc *iop, dLCc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  dLCc _return;

  memset(&_return, 0, sizeof(dLCc ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t57_array_iter;
    flick_unsigned8_t _t58_array_iter;

    flick_fluke_encode_new_glob(832);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dLCc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    flick_fluke_encode_end_chunk(16);
    for (_t57_array_iter = 0; _t57_array_iter < 50; _t57_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t57_array_iter].elem1);
        flick_fluke_encode_char8(4, inp->data[_t57_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, inp->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
    flick_fluke_encode_float64(0, iop->first);
    flick_fluke_encode_end_chunk(8);
    for (_t58_array_iter = 0; _t58_array_iter < 50; _t58_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t58_array_iter].elem1);
        flick_fluke_encode_char8(4, iop->data[_t58_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, iop->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_end_glob(832);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1247);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t65_array_length;
          flick_unsigned8_t _t66_array_iter;
          flick_unsigned8_t _t67_array_length;
          flick_unsigned8_t _t68_array_iter;
          flick_unsigned8_t _t69_array_length;
          flick_unsigned8_t _t70_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, _return.first);
          _t65_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t66_array_iter = 0; _t66_array_iter < _t65_array_length; _t66_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t66_array_iter].elem1);
              flick_fluke_decode_char8(4, _return.data[_t66_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
          flick_fluke_decode_float64(0, iop->first);
          _t67_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t68_array_iter = 0; _t68_array_iter < _t67_array_length; _t68_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t68_array_iter].elem1);
              flick_fluke_decode_char8(4, iop->data[_t68_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
          flick_fluke_decode_float64(0, outp->first);
          _t69_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t70_array_iter = 0; _t70_array_iter < _t69_array_length; _t70_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t70_array_iter].elem1);
              flick_fluke_decode_char8(4, outp->data[_t70_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, outp->last);
          flick_fluke_decode_end_chunk(1);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1247);
  }
  flick_fluke_client_end_decode();
  return _return;
}

sLCs arrays_test_sLCs(mom_ref_t _obj, const sLCs *inp, sLCs *iop, sLCs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  sLCs _return;

  memset(&_return, 0, sizeof(sLCs ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t73_array_iter;
    flick_unsigned8_t _t74_array_iter;

    flick_fluke_encode_new_glob(814);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sLCs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    flick_fluke_encode_end_chunk(6);
    for (_t73_array_iter = 0; _t73_array_iter < 50; _t73_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t73_array_iter].elem1);
        flick_fluke_encode_char8(4, inp->data[_t73_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_signed16(1, inp->last);
    flick_fluke_encode_signed16(3, iop->first);
    flick_fluke_encode_end_chunk(5);
    for (_t74_array_iter = 0; _t74_array_iter < 50; _t74_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t74_array_iter].elem1);
        flick_fluke_encode_char8(4, iop->data[_t74_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(3);
    flick_fluke_encode_signed16(1, iop->last);
    flick_fluke_encode_end_chunk(3);
    flick_fluke_encode_end_glob(814);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1219);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t81_array_length;
          flick_unsigned8_t _t82_array_iter;
          flick_unsigned8_t _t83_array_length;
          flick_unsigned8_t _t84_array_iter;
          flick_unsigned8_t _t85_array_length;
          flick_unsigned8_t _t86_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return.first);
          _t81_array_length = 50;
          flick_fluke_decode_end_chunk(2);
          for (_t82_array_iter = 0; _t82_array_iter < _t81_array_length; _t82_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t82_array_iter].elem1);
              flick_fluke_decode_char8(4, _return.data[_t82_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_signed16(1, _return.last);
          flick_fluke_decode_signed16(3, iop->first);
          _t83_array_length = 50;
          flick_fluke_decode_end_chunk(5);
          for (_t84_array_iter = 0; _t84_array_iter < _t83_array_length; _t84_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t84_array_iter].elem1);
              flick_fluke_decode_char8(4, iop->data[_t84_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_signed16(1, iop->last);
          flick_fluke_decode_signed16(3, outp->first);
          _t85_array_length = 50;
          flick_fluke_decode_end_chunk(5);
          for (_t86_array_iter = 0; _t86_array_iter < _t85_array_length; _t86_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t86_array_iter].elem1);
              flick_fluke_decode_char8(4, outp->data[_t86_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_signed16(1, outp->last);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1219);
  }
  flick_fluke_client_end_decode();
  return _return;
}

cCLd arrays_test_cCLd(mom_ref_t _obj, const cCLd *inp, cCLd *iop, cCLd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  cCLd _return;

  memset(&_return, 0, sizeof(cCLd ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t89_array_iter;
    flick_unsigned8_t _t90_array_iter;

    flick_fluke_encode_new_glob(830);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cCLd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    flick_fluke_encode_end_chunk(5);
    for (_t89_array_iter = 0; _t89_array_iter < 50; _t89_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, inp->data[_t89_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t89_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
    flick_fluke_encode_float64(0, inp->last);
    flick_fluke_encode_char8(8, iop->first);
    flick_fluke_encode_end_chunk(9);
    for (_t90_array_iter = 0; _t90_array_iter < 50; _t90_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, iop->data[_t90_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t90_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
    flick_fluke_encode_float64(0, iop->last);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(830);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1243);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t97_array_length;
          flick_unsigned8_t _t98_array_iter;
          flick_unsigned8_t _t99_array_length;
          flick_unsigned8_t _t100_array_iter;
          flick_unsigned8_t _t101_array_length;
          flick_unsigned8_t _t102_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.first);
          _t97_array_length = 50;
          flick_fluke_decode_end_chunk(1);
          for (_t98_array_iter = 0; _t98_array_iter < _t97_array_length; _t98_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _return.data[_t98_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t98_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, _return.last);
          flick_fluke_decode_char8(8, iop->first);
          _t99_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t100_array_iter = 0; _t100_array_iter < _t99_array_length; _t100_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, iop->data[_t100_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t100_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, iop->last);
          flick_fluke_decode_char8(8, outp->first);
          _t101_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t102_array_iter = 0; _t102_array_iter < _t101_array_length; _t102_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, outp->data[_t102_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t102_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
          flick_fluke_decode_float64(0, outp->last);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1243);
  }
  flick_fluke_client_end_decode();
  return _return;
}

dCLc arrays_test_dCLc(mom_ref_t _obj, const dCLc *inp, dCLc *iop, dCLc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  dCLc _return;

  memset(&_return, 0, sizeof(dCLc ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t105_array_iter;
    flick_unsigned8_t _t106_array_iter;

    flick_fluke_encode_new_glob(833);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dCLc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    flick_fluke_encode_end_chunk(16);
    for (_t105_array_iter = 0; _t105_array_iter < 50; _t105_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, inp->data[_t105_array_iter].elem1);
        flick_fluke_encode_signed32(4, inp->data[_t105_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_char8(0, inp->last);
    flick_fluke_encode_float64(8, iop->first);
    flick_fluke_encode_end_chunk(16);
    for (_t106_array_iter = 0; _t106_array_iter < 50; _t106_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, iop->data[_t106_array_iter].elem1);
        flick_fluke_encode_signed32(4, iop->data[_t106_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, iop->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_end_glob(833);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1249);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t113_array_length;
          flick_unsigned8_t _t114_array_iter;
          flick_unsigned8_t _t115_array_length;
          flick_unsigned8_t _t116_array_iter;
          flick_unsigned8_t _t117_array_length;
          flick_unsigned8_t _t118_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, _return.first);
          _t113_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t114_array_iter = 0; _t114_array_iter < _t113_array_length; _t114_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, _return.data[_t114_array_iter].elem1);
              flick_fluke_decode_signed32(4, _return.data[_t114_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_char8(0, _return.last);
          flick_fluke_decode_float64(8, iop->first);
          _t115_array_length = 50;
          flick_fluke_decode_end_chunk(16);
          for (_t116_array_iter = 0; _t116_array_iter < _t115_array_length; _t116_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, iop->data[_t116_array_iter].elem1);
              flick_fluke_decode_signed32(4, iop->data[_t116_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_char8(0, iop->last);
          flick_fluke_decode_float64(8, outp->first);
          _t117_array_length = 50;
          flick_fluke_decode_end_chunk(16);
          for (_t118_array_iter = 0; _t118_array_iter < _t117_array_length; _t118_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, outp->data[_t118_array_iter].elem1);
              flick_fluke_decode_signed32(4, outp->data[_t118_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, outp->last);
          flick_fluke_decode_end_chunk(1);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1249);
  }
  flick_fluke_client_end_decode();
  return _return;
}

sCLs arrays_test_sCLs(mom_ref_t _obj, const sCLs *inp, sCLs *iop, sCLs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  sCLs _return;

  memset(&_return, 0, sizeof(sCLs ));
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t121_array_iter;
    flick_unsigned8_t _t122_array_iter;

    flick_fluke_encode_new_glob(812);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sCLs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    flick_fluke_encode_end_chunk(6);
    for (_t121_array_iter = 0; _t121_array_iter < 50; _t121_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, inp->data[_t121_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
        flick_fluke_encode_signed32(0, inp->data[_t121_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed16(0, inp->last);
    flick_fluke_encode_signed16(2, iop->first);
    flick_fluke_encode_end_chunk(4);
    for (_t122_array_iter = 0; _t122_array_iter < 50; _t122_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, iop->data[_t122_array_iter].elem1);
        flick_fluke_encode_signed32(4, iop->data[_t122_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(2);
    flick_fluke_encode_signed16(0, iop->last);
    flick_fluke_encode_end_chunk(2);
    flick_fluke_encode_end_glob(812);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1216);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t129_array_length;
          flick_unsigned8_t _t130_array_iter;
          flick_unsigned8_t _t131_array_length;
          flick_unsigned8_t _t132_array_iter;
          flick_unsigned8_t _t133_array_length;
          flick_unsigned8_t _t134_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return.first);
          _t129_array_length = 50;
          flick_fluke_decode_end_chunk(2);
          for (_t130_array_iter = 0; _t130_array_iter < _t129_array_length; _t130_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _return.data[_t130_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
              flick_fluke_decode_signed32(0, _return.data[_t130_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, _return.last);
          flick_fluke_decode_signed16(2, iop->first);
          _t131_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t132_array_iter = 0; _t132_array_iter < _t131_array_length; _t132_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, iop->data[_t132_array_iter].elem1);
              flick_fluke_decode_signed32(4, iop->data[_t132_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, iop->last);
          flick_fluke_decode_signed16(2, outp->first);
          _t133_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t134_array_iter = 0; _t134_array_iter < _t133_array_length; _t134_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, outp->data[_t134_array_iter].elem1);
              flick_fluke_decode_signed32(4, outp->data[_t134_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, outp->last);
          flick_fluke_decode_end_chunk(2);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1216);
  }
  flick_fluke_client_end_decode();
  return _return;
}

