#include "nest-refs-server.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t7_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t7_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t7_switch_tag)
      {
      case req_test__get_id:
        {
          {
            test *_obj;
            mom_exc_t *_ev;
            ReferenceData *_return = 0;
            mom_exc_t _t8_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t8_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server__get_id(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  flick_fluke_encode_new_chunk(1 * _return->_length);
                  flick_fluke_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(1 * _return->_length);
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__set_id:
        {
          {
            test *_obj;
            ReferenceData *_local_id;
            mom_exc_t *_ev;
            ReferenceData _t9_storage;
            mom_exc_t _t10_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_id = &_t9_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_id->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_id->_length);
            flick_fluke_decode_new_chunk(1 * _local_id->_length);
            flick_fluke_decode_msgptr(0, _local_id->_buffer);
            flick_fluke_decode_end_chunk(1 * _local_id->_length);
            flick_fluke_decode_end_glob(1 * _local_id->_length);
            _ev = &_t10_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            test_server__set_id(_obj, _local_id, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__get_info:
        {
          {
            test *_obj;
            mom_exc_t *_ev;
            OctetSequence *_return = 0;
            mom_exc_t _t11_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t11_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server__get_info(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  flick_fluke_encode_new_chunk(1 * _return->_length);
                  flick_fluke_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(1 * _return->_length);
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__set_info:
        {
          {
            test *_obj;
            OctetSequence *_local_info;
            mom_exc_t *_ev;
            OctetSequence _t12_storage;
            mom_exc_t _t13_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_info = &_t12_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_info->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_info->_length);
            flick_fluke_decode_new_chunk(1 * _local_info->_length);
            flick_fluke_decode_msgptr(0, _local_info->_buffer);
            flick_fluke_decode_end_chunk(1 * _local_info->_length);
            flick_fluke_decode_end_glob(1 * _local_info->_length);
            _ev = &_t13_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            test_server__set_info(_obj, _local_info, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
