#include "optional-7-server.h"

void flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_array_len);
  flick_fluke_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_fluke_encode_unsigned32(4, _t2_array_len);
      flick_fluke_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_fluke_encode_end_glob(12);
          flick_marshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          flick_fluke_encode_end_glob(12);
        }
    }
  else
    {
      flick_fluke_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t3_array_len);
  flick_fluke_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct int_node ));
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(0, (*_data)->value);
      flick_fluke_decode_unsigned32(4, _t5_array_len);
      flick_fluke_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
          flick_fluke_decode_end_glob(12);
          flick_unmarshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_fluke_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_fluke_decode_end_glob(12);
    }
}

void flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_fluke_encode_unsigned32(4, _t6_array_len);
  flick_fluke_encode_end_chunk(8);
  if (_t6_array_len)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->next->value);
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(12);
      flick_marshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      flick_fluke_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->value);
  flick_fluke_decode_unsigned32(4, _t7_array_len);
  flick_fluke_decode_end_chunk(8);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct int_node ));
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->next->value);
      flick_fluke_decode_end_chunk(4);
      flick_fluke_decode_end_glob(12);
      flick_unmarshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_fluke_decode_end_glob(12);
    }
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t13_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t13_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t13_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int_list *_local_arg;
            struct svc_req *_obj;
            int_list *_return = 0;
            int_list _t14_storage;
            flick_unsigned8_t _t15_array_len;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t14_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t15_array_len);
            flick_fluke_decode_end_chunk(4);
            if (_t15_array_len)
              {
                *_local_arg = auto_flick_alloc(_t15_array_len * sizeof(struct int_node ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)->value);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(12);
                flick_unmarshal_stub_int_list(_stream, &(*_local_arg)->next);
              }
            else
              {
                *_local_arg = 0;
                flick_fluke_decode_end_glob(12);
              }
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t17_array_len;

                  /* Begin encode phase on parameters */
                  _t17_array_len = *_return != 0;
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _t17_array_len);
                  flick_fluke_encode_end_chunk(4);
                  if (_t17_array_len)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, (*_return)->value);
                      flick_fluke_encode_end_chunk(4);
                      flick_fluke_encode_end_glob(12);
                      flick_marshal_stub_int_list(_stream, &(*_return)->next);
                    }
                  else
                    {
                      flick_fluke_encode_end_glob(12);
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  flick_fluke_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(12);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
