#include "parm_-server.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const FStruct *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, FStruct *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const VStruct *_data)
{
  flick_fluke_encode_longstring(_data->a, mom_flick_free, fluke);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, VStruct *_data)
{
  flick_fluke_decode_longstring(_data->a, mom_flick_alloc, fluke);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const FUnion *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, FUnion *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const VUnion *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(5);
        flick_fluke_encode_longstring(_data->_u.a, mom_flick_free, fluke);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, VUnion *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(5);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        flick_fluke_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_fluke_encode_new_glob(40);
  flick_fluke_encode_new_chunk(40);
  flick_fluke_encode_bcopy(0, *_data, 4 * 10);
  flick_fluke_encode_end_chunk(40);
  flick_fluke_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 10;
  flick_fluke_decode_new_glob(40);
  flick_fluke_decode_new_chunk(40);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_fluke_decode_end_chunk(40);
  flick_fluke_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t60_switch_tag;

    flick_fluke_decode_new_glob(92);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t60_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t60_switch_tag)
      {
      case req_test_Short:
        {
          {
            test *_obj;
            oskit_s16_t _local_a;
            oskit_s16_t *_local_b;
            oskit_s16_t *_local_c;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            oskit_s16_t _t61_storage;
            oskit_s16_t _t62_storage;
            mom_exc_t _t63_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            _local_b = &_t61_storage;
            flick_fluke_decode_signed16(2, *_local_b);
            _local_c = &_t62_storage;
            _ev = &_t63_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Short(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_signed16(2, *_local_b);
                  flick_fluke_encode_signed16(4, *_local_c);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Long:
        {
          {
            test *_obj;
            oskit_s32_t _local_a;
            oskit_s32_t *_local_b;
            oskit_s32_t *_local_c;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            oskit_s32_t _t64_storage;
            oskit_s32_t _t65_storage;
            mom_exc_t _t66_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_b = &_t64_storage;
            flick_fluke_decode_signed32(4, *_local_b);
            _local_c = &_t65_storage;
            _ev = &_t66_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Long(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_signed32(4, *_local_b);
                  flick_fluke_encode_signed32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_UShort:
        {
          {
            test *_obj;
            oskit_u16_t _local_a;
            oskit_u16_t *_local_b;
            oskit_u16_t *_local_c;
            mom_exc_t *_ev;
            oskit_u16_t _return = 0;
            oskit_u16_t _t67_storage;
            oskit_u16_t _t68_storage;
            mom_exc_t _t69_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned16(0, _local_a);
            _local_b = &_t67_storage;
            flick_fluke_decode_unsigned16(2, *_local_b);
            _local_c = &_t68_storage;
            _ev = &_t69_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_unsigned16(0, _return);
                  flick_fluke_encode_unsigned16(2, *_local_b);
                  flick_fluke_encode_unsigned16(4, *_local_c);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_ULong:
        {
          {
            test *_obj;
            oskit_u32_t _local_a;
            oskit_u32_t *_local_b;
            oskit_u32_t *_local_c;
            mom_exc_t *_ev;
            oskit_u32_t _return = 0;
            oskit_u32_t _t70_storage;
            oskit_u32_t _t71_storage;
            mom_exc_t _t72_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a);
            _local_b = &_t70_storage;
            flick_fluke_decode_unsigned32(4, *_local_b);
            _local_c = &_t71_storage;
            _ev = &_t72_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, _return);
                  flick_fluke_encode_unsigned32(4, *_local_b);
                  flick_fluke_encode_unsigned32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Float:
        {
          {
            test *_obj;
            float _local_a;
            float *_local_b;
            float *_local_c;
            mom_exc_t *_ev;
            float _return = 0.000000;
            float _t73_storage;
            float _t74_storage;
            mom_exc_t _t75_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_float32(0, _local_a);
            _local_b = &_t73_storage;
            flick_fluke_decode_float32(4, *_local_b);
            _local_c = &_t74_storage;
            _ev = &_t75_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Float(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float32(0, _return);
                  flick_fluke_encode_float32(4, *_local_b);
                  flick_fluke_encode_float32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Boolean:
        {
          {
            test *_obj;
            oskit_bool_t _local_a;
            oskit_bool_t *_local_b;
            oskit_bool_t *_local_c;
            mom_exc_t *_ev;
            oskit_bool_t _return;
            oskit_bool_t _t76_storage;
            oskit_bool_t _t77_storage;
            mom_exc_t _t78_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a);
            _local_b = &_t76_storage;
            flick_fluke_decode_unsigned8(1, *_local_b);
            _local_c = &_t77_storage;
            _ev = &_t78_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, _return);
                  flick_fluke_encode_unsigned8(1, *_local_b);
                  flick_fluke_encode_unsigned8(2, *_local_c);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Char:
        {
          {
            test *_obj;
            char _local_a;
            char *_local_b;
            char *_local_c;
            mom_exc_t *_ev;
            char _return = 0;
            char _t79_storage;
            char _t80_storage;
            mom_exc_t _t81_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_char8(0, _local_a);
            _local_b = &_t79_storage;
            flick_fluke_decode_char8(1, *_local_b);
            _local_c = &_t80_storage;
            _ev = &_t81_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Char(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_char8(0, _return);
                  flick_fluke_encode_char8(1, *_local_b);
                  flick_fluke_encode_char8(2, *_local_c);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Octet:
        {
          {
            test *_obj;
            oskit_u8_t _local_a;
            oskit_u8_t *_local_b;
            oskit_u8_t *_local_c;
            mom_exc_t *_ev;
            oskit_u8_t _return = 0;
            oskit_u8_t _t82_storage;
            oskit_u8_t _t83_storage;
            mom_exc_t _t84_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a);
            _local_b = &_t82_storage;
            flick_fluke_decode_unsigned8(1, *_local_b);
            _local_c = &_t83_storage;
            _ev = &_t84_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, _return);
                  flick_fluke_encode_unsigned8(1, *_local_b);
                  flick_fluke_encode_unsigned8(2, *_local_c);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Enum:
        {
          {
            test *_obj;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration *_local_c;
            mom_exc_t *_ev;
            Enumeration _return;
            Enumeration _t85_storage;
            Enumeration _t86_storage;
            mom_exc_t _t87_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a);
            _local_b = &_t85_storage;
            flick_fluke_decode_unsigned32(4, *_local_b);
            _local_c = &_t86_storage;
            _ev = &_t87_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, _return);
                  flick_fluke_encode_unsigned32(4, *_local_b);
                  flick_fluke_encode_unsigned32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_FixedStruct:
        {
          {
            test *_obj;
            FStruct *_local_a;
            FStruct *_local_b;
            FStruct *_local_c;
            mom_exc_t *_ev;
            FStruct _return;
            FStruct _t88_storage;
            FStruct _t89_storage;
            FStruct _t90_storage;
            mom_exc_t _t91_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t88_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a->a);
            _local_b = &_t89_storage;
            flick_fluke_decode_signed16(2, _local_b->a);
            _local_c = &_t90_storage;
            _ev = &_t91_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_signed16(0, _return.a);
                  flick_fluke_encode_signed16(2, _local_b->a);
                  flick_fluke_encode_signed16(4, _local_c->a);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_VarStruct:
        {
          {
            test *_obj;
            VStruct *_local_a;
            VStruct *_local_b;
            VStruct **_local_c;
            mom_exc_t *_ev;
            VStruct *_return = 0;
            VStruct _t92_storage;
            VStruct _t93_storage;
            VStruct *_t94_storage;
            mom_exc_t _t95_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t92_storage;
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a->a, auto_flick_alloc, fluke);
            _local_b = &_t93_storage;
            flick_fluke_decode_longstring(_local_b->a, mom_flick_alloc, fluke);
            _local_c = &_t94_storage;
            _ev = &_t95_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return->a, mom_flick_free, fluke);
                  mom_flick_free(_return);
                  flick_fluke_encode_longstring(_local_b->a, mom_flick_free, fluke);
                  flick_fluke_encode_longstring((*_local_c)->a, mom_flick_free, fluke);
                  mom_flick_free(*_local_c);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_FixedUnion:
        {
          {
            test *_obj;
            FUnion *_local_a;
            FUnion *_local_b;
            FUnion *_local_c;
            mom_exc_t *_ev;
            FUnion _return;
            FUnion _t96_storage;
            FUnion _t97_storage;
            FUnion _t98_storage;
            mom_exc_t _t99_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t96_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_a->_u.x);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = &_t97_storage;
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_b->_u.x);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = &_t98_storage;
            _ev = &_t99_storage;
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(34);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return._d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return._d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _return._u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return._u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _local_b->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _local_b->_u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_b->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _local_c->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_c->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _local_c->_u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_c->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(34);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_VarUnion:
        {
          {
            test *_obj;
            VUnion *_local_a;
            VUnion *_local_b;
            VUnion **_local_c;
            mom_exc_t *_ev;
            VUnion *_return = 0;
            VUnion _t100_storage;
            VUnion _t101_storage;
            VUnion *_t102_storage;
            mom_exc_t _t103_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t100_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_decode_end_glob(92);
                  flick_fluke_decode_auto_string(_local_a->_u.a, auto_flick_alloc, fluke);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(92);
                  break;
                }
              }
            _local_b = &_t101_storage;
            flick_fluke_decode_new_glob(8);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_fluke_decode_end_glob(8);
                  flick_fluke_decode_longstring(_local_b->_u.a, mom_flick_alloc, fluke);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(8);
                  break;
                }
              }
            _local_c = &_t102_storage;
            _ev = &_t103_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(9);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(9);
                        flick_fluke_encode_longstring(_return->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(9);
                        break;
                      }
                    }
                  mom_flick_free(_return);
                  flick_fluke_encode_new_glob(8);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _local_b->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(8);
                        flick_fluke_encode_longstring(_local_b->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_b->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(8);
                        break;
                      }
                    }
                  flick_fluke_encode_new_glob(8);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, (*_local_c)->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch ((*_local_c)->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(8);
                        flick_fluke_encode_longstring((*_local_c)->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, (*_local_c)->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(8);
                        break;
                      }
                    }
                  mom_flick_free(*_local_c);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(9);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(9);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_String:
        {
          {
            test *_obj;
            char *_local_a;
            char **_local_b;
            char **_local_c;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t104_storage;
            char *_t105_storage;
            mom_exc_t _t106_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a, auto_flick_alloc, fluke);
            _local_b = &_t104_storage;
            flick_fluke_decode_longstring(*_local_b, mom_flick_alloc, fluke);
            _local_c = &_t105_storage;
            _ev = &_t106_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_String(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_b, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_c, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_BoundString:
        {
          {
            test *_obj;
            char *_local_a;
            char **_local_b;
            char **_local_c;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t107_storage;
            char *_t108_storage;
            mom_exc_t _t109_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a, auto_flick_alloc, fluke);
            _local_b = &_t107_storage;
            flick_fluke_decode_string(*_local_b, mom_flick_alloc, fluke, 20);
            _local_c = &_t108_storage;
            _ev = &_t109_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_string(_return, mom_flick_free, fluke, 20);
                  flick_fluke_encode_string(*_local_b, mom_flick_free, fluke, 20);
                  flick_fluke_encode_string(*_local_c, mom_flick_free, fluke, 20);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Array:
        {
          {
            test *_obj;
            oskit_s32_t *_local_a;
            oskit_s32_t *_local_b;
            oskit_s32_t *_local_c;
            mom_exc_t *_ev;
            test_arr_slice *_return = 0;
            flick_unsigned8_t _t110_array_length;
            flick_unsigned8_t _t111_array_length;
            oskit_s32_t _t113_storage[10];
            mom_exc_t _t114_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t110_array_length = 10;
            flick_fluke_decode_new_chunk(80);
            flick_fluke_decode_msgptr(0, _local_a);
            _t111_array_length = 10;
            _local_b = auto_flick_alloc(_t111_array_length * sizeof(oskit_s32_t ));
            flick_fluke_decode_bcopy(40, _local_b, 4 * _t111_array_length);
            _local_c = _t113_storage;
            _ev = &_t114_storage;
            flick_fluke_decode_end_chunk(80);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Array(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(124);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(120);
                  flick_fluke_encode_bcopy(0, _return, 4 * 10);
                  mom_flick_free(_return);
                  flick_fluke_encode_bcopy(40, _local_b, 4 * 10);
                  flick_fluke_encode_bcopy(80, _local_c, 4 * 10);
                  flick_fluke_encode_end_chunk(120);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(124);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Sequence:
        {
          {
            test *_obj;
            test_seq *_local_a;
            test_seq *_local_b;
            test_seq **_local_c;
            mom_exc_t *_ev;
            test_seq *_return = 0;
            test_seq _t115_storage;
            test_seq _t116_storage;
            test_seq *_t117_storage;
            mom_exc_t _t118_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t115_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer);
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _local_b = &_t116_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_b->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_b->_length);
            _local_b->_buffer = mom_flick_alloc(_local_b->_length * sizeof(oskit_s32_t ));
            flick_fluke_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
            flick_fluke_decode_end_chunk(4 * _local_b->_length);
            _local_c = &_t117_storage;
            _ev = &_t118_storage;
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(136);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4 + 4 * _return->_length);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * _return->_length);
                  mom_flick_free(_return);
                  flick_fluke_encode_new_chunk(4 + 4 * _local_b->_length);
                  flick_fluke_encode_unsigned32(0, _local_b->_length);
                  flick_fluke_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                  mom_flick_free(_local_b->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * _local_b->_length);
                  flick_fluke_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                  flick_fluke_encode_unsigned32(0, (*_local_c)->_length);
                  flick_fluke_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                  mom_flick_free((*_local_c)->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                  mom_flick_free(*_local_c);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(136);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(92);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
