#include "IIOP-client.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->major);
  flick_cdr_encode_char8(1, _data->minor);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->major);
  flick_cdr_decode_char8(1, _data->minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_Version_swap(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->major);
  flick_cdr_swap_decode_char8(1, _data->minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID_swap(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->context_id);
  flick_cdr_encode_unsigned32(4, _data->context_data._length);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->context_data._length);
  flick_iiop_encode_new_chunk(1 * _data->context_data._length);
  flick_cdr_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiop_encode_end_chunk(1 * _data->context_data._length);
  flick_iiop_encode_end_glob(1 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->context_id);
  flick_cdr_decode_unsigned32(4, _data->context_data._length);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
  flick_iiop_decode_new_chunk(1 * _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiop_decode_end_chunk(1 * _data->context_data._length);
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext_swap(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->context_id);
  flick_cdr_swap_decode_unsigned32(4, _data->context_data._length);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->context_data._length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->context_data._buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_glob(11);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_encode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t2_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_new_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      _data->_buffer[_t2_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t2_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_cdr_decode_bcopy(0, _data->_buffer[_t2_array_iter].context_data._buffer, 1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList_swap(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      unsigned long int _t7_array_iter;

      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t5_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t5_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t5_array_iter].context_data._length);
      _data->_buffer[_t5_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t5_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t7_array_iter = 0; _t7_array_iter < _data->_buffer[_t5_array_iter].context_data._length; _t7_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t5_array_iter].context_data._buffer[_t7_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t5_array_iter].context_data._length);
    }
}

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_GIOP_Principal_swap(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType_swap(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_bcopy(0, _data->magic, 1 * 4);
  flick_cdr_encode_char8(4, _data->GIOP_version.major);
  flick_cdr_encode_char8(5, _data->GIOP_version.minor);
  flick_cdr_encode_unsigned8(6, _data->byte_order);
  flick_cdr_encode_unsigned8(7, _data->message_type);
  flick_cdr_encode_unsigned32(8, _data->message_size);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t8_array_length;

  _t8_array_length = 4;
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_bcopy(0, _data->magic, 1 * _t8_array_length);
  flick_cdr_decode_char8(4, _data->GIOP_version.major);
  flick_cdr_decode_char8(5, _data->GIOP_version.minor);
  flick_cdr_decode_unsigned8(6, _data->byte_order);
  flick_cdr_decode_unsigned8(7, _data->message_type);
  flick_cdr_decode_unsigned32(8, _data->message_size);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_GIOP_MessageHeader_swap(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t10_array_iter;

  _t9_array_length = 4;
  flick_iiop_decode_new_glob(15);
  for (_t10_array_iter = 0; _t10_array_iter < _t9_array_length; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->magic[_t10_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_char8(0, _data->GIOP_version.major);
  flick_cdr_swap_decode_char8(1, _data->GIOP_version.minor);
  flick_cdr_swap_decode_unsigned8(2, _data->byte_order);
  flick_cdr_swap_decode_unsigned8(3, _data->message_type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->message_size);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(15);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->service_context._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t11_array_iter = 0; _t11_array_iter < _data->service_context._length; _t11_array_iter++)
    {
      flick_iiop_encode_new_glob(11);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->service_context._buffer[_t11_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->service_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->service_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_encode_new_chunk(1 * _data->service_context._buffer[_t11_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->service_context._buffer[_t11_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(1 * _data->service_context._buffer[_t11_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->service_context._buffer[_t11_array_iter].context_data._length);
    }
  flick_iiop_encode_new_glob(15);
  flick_iiop_encode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned8(4, _data->response_expected);
  flick_cdr_encode_unsigned32(8, _data->object_key._length);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(15);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
  flick_cdr_encode_longstring(_data->operation, null_flick_free, iiop);
  flick_cdr_encode_IOR(iiop, _data->requesting_principal, 0);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t12_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->service_context._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t12_array_iter = 0; _t12_array_iter < _data->service_context._length; _t12_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->service_context._buffer[_t12_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->service_context._buffer[_t12_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t12_array_iter].context_data._length);
      flick_iiop_decode_new_chunk(1 * _data->service_context._buffer[_t12_array_iter].context_data._length);
      _data->service_context._buffer[_t12_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t12_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_cdr_decode_bcopy(0, _data->service_context._buffer[_t12_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t12_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->service_context._buffer[_t12_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t12_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(15);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned8(4, _data->response_expected);
  flick_cdr_decode_unsigned32(8, _data->object_key._length);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(15);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_cdr_decode_longstring(_data->operation, CORBA_flick_alloc, iiop);
  flick_cdr_decode_IOR(iiop, _data->requesting_principal, 1);
}

void flick_unmarshal_stub_GIOP_RequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t15_array_iter;
  unsigned long int _t18_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->service_context._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t15_array_iter = 0; _t15_array_iter < _data->service_context._length; _t15_array_iter++)
    {
      unsigned long int _t17_array_iter;

      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->service_context._buffer[_t15_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->service_context._buffer[_t15_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t15_array_iter].context_data._length);
      _data->service_context._buffer[_t15_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t15_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t17_array_iter = 0; _t17_array_iter < _data->service_context._buffer[_t15_array_iter].context_data._length; _t17_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->service_context._buffer[_t15_array_iter].context_data._buffer[_t17_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t15_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(15);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned8(4, _data->response_expected);
  flick_cdr_swap_decode_unsigned32(8, _data->object_key._length);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(15);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t18_array_iter = 0; _t18_array_iter < _data->object_key._length; _t18_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t18_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_cdr_swap_decode_longstring(_data->operation, CORBA_flick_alloc, iiop);
  flick_cdr_swap_decode_IOR(iiop, _data->requesting_principal, 1);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType_swap(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t19_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->server_context._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t19_array_iter = 0; _t19_array_iter < _data->server_context._length; _t19_array_iter++)
    {
      flick_iiop_encode_new_glob(11);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->server_context._buffer[_t19_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->server_context._buffer[_t19_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(11);
      flick_iiop_encode_new_glob(1 * _data->server_context._buffer[_t19_array_iter].context_data._length);
      flick_iiop_encode_new_chunk(1 * _data->server_context._buffer[_t19_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->server_context._buffer[_t19_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t19_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(1 * _data->server_context._buffer[_t19_array_iter].context_data._length);
      flick_iiop_encode_end_glob(1 * _data->server_context._buffer[_t19_array_iter].context_data._length);
    }
  flick_iiop_encode_new_glob(11);
  flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->reply_status);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(11);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t20_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->server_context._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t20_array_iter = 0; _t20_array_iter < _data->server_context._length; _t20_array_iter++)
    {
      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->server_context._buffer[_t20_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->server_context._buffer[_t20_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t20_array_iter].context_data._length);
      flick_iiop_decode_new_chunk(1 * _data->server_context._buffer[_t20_array_iter].context_data._length);
      _data->server_context._buffer[_t20_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t20_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_cdr_decode_bcopy(0, _data->server_context._buffer[_t20_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t20_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(1 * _data->server_context._buffer[_t20_array_iter].context_data._length);
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t20_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(11);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->reply_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(11);
}

void flick_unmarshal_stub_GIOP_ReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t23_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->server_context._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t23_array_iter = 0; _t23_array_iter < _data->server_context._length; _t23_array_iter++)
    {
      unsigned long int _t25_array_iter;

      flick_iiop_decode_new_glob(11);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->server_context._buffer[_t23_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->server_context._buffer[_t23_array_iter].context_data._length);
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(11);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t23_array_iter].context_data._length);
      _data->server_context._buffer[_t23_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t23_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t25_array_iter = 0; _t25_array_iter < _data->server_context._buffer[_t23_array_iter].context_data._length; _t25_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->server_context._buffer[_t23_array_iter].context_data._buffer[_t25_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t23_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(11);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->reply_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(11);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->object_key._length);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->object_key._length);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t26_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->object_key._length);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t26_array_iter = 0; _t26_array_iter < _data->object_key._length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t26_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType_swap(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->locate_status);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->locate_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->locate_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->iiop_version.major);
  flick_cdr_encode_char8(1, _data->iiop_version.minor);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  flick_cdr_encode_longstring(_data->host, null_flick_free, iiop);
  flick_iiop_encode_new_glob(9);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_unsigned16(0, _data->port);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_encode_unsigned32(0, _data->object_key._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(9);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
  flick_iiop_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_encode_end_chunk(1 * _data->object_key._length);
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->iiop_version.major);
  flick_cdr_decode_char8(1, _data->iiop_version.minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_decode_longstring(_data->host, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_decode_unsigned16(0, _data->port);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_decode_unsigned32(0, _data->object_key._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(9);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  flick_iiop_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiop_decode_end_chunk(1 * _data->object_key._length);
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody_swap(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  unsigned long int _t27_array_iter;

  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->iiop_version.major);
  flick_cdr_swap_decode_char8(1, _data->iiop_version.minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_swap_decode_longstring(_data->host, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_swap_decode_unsigned16(0, _data->port);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->object_key._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(9);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t27_array_iter = 0; _t27_array_iter < _data->object_key._length; _t27_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t27_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

