#include "enum_-client.h"

void flick_marshal_stub_types(flick_marshal_stream_t _stream, const types *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_types(flick_marshal_stream_t _stream, types *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_Test(flick_marshal_stream_t _stream, const Test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Test(flick_marshal_stream_t _stream, Test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

types Test_Enum(Test _obj, types a, types *b, types *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  types _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'E');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'm');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(48, a);
    flick_mach3mig_encode_unsigned32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t7_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t7_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t8_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t8_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t8_switch_tag)
            {
            case '$':
              {
                char _t9_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t9_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t9_switch_tag)
                  {
                  case 'E':
                    {
                      char _t10_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t10_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t10_switch_tag)
                        {
                        case 'n':
                          {
                            char _t11_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t11_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t11_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t12_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t12_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t12_switch_tag)
                                    {
                                    case 'm':
                                      {
                                        char _t13_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t13_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t13_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_unsigned32(0, _return);
                                                    flick_mach3mig_decode_unsigned32(8, *b);
                                                    flick_mach3mig_decode_unsigned32(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

