#include "optional-7-client.h"

void flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_boolean(0, _t0_array_len);
  flick_mach3mig_encode_end_chunk(8);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_mach3mig_encode_boolean(8, _t2_array_len);
      flick_mach3mig_encode_end_chunk(16);
      if (_t2_array_len)
        {
          flick_mach3mig_encode_end_glob(24);
          flick_marshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          flick_mach3mig_encode_end_glob(24);
        }
    }
  else
    {
      flick_mach3mig_encode_end_glob(24);
    }
}

void flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_boolean(0, _t3_array_len);
  flick_mach3mig_decode_end_chunk(8);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct int_node ));
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, (*_data)->value);
      flick_mach3mig_decode_boolean(8, _t5_array_len);
      flick_mach3mig_decode_end_chunk(16);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
          flick_mach3mig_decode_end_glob(24);
          flick_unmarshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_mach3mig_decode_end_glob(24);
        }
    }
  else
    {
      *_data = 0;
      flick_mach3mig_decode_end_glob(24);
    }
}

void flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_mach3mig_encode_boolean(8, _t6_array_len);
  flick_mach3mig_encode_end_chunk(16);
  if (_t6_array_len)
    {
      flick_mach3mig_encode_new_chunk(8);
      flick_mach3mig_encode_signed32(0, _data->next->value);
      flick_mach3mig_encode_end_chunk(8);
      flick_mach3mig_encode_end_glob(24);
      flick_marshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      flick_mach3mig_encode_end_glob(24);
    }
}

void flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->value);
  flick_mach3mig_decode_boolean(8, _t7_array_len);
  flick_mach3mig_decode_end_chunk(16);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct int_node ));
      flick_mach3mig_decode_new_chunk(8);
      flick_mach3mig_decode_signed32(0, _data->next->value);
      flick_mach3mig_decode_end_chunk(8);
      flick_mach3mig_decode_end_glob(24);
      flick_unmarshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_mach3mig_decode_end_glob(24);
    }
}

int_list *op_2(int_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int_list *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t9_array_len;

    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    _t9_array_len = *arg != 0;
    flick_mach3mig_encode_new_glob(16);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_boolean(0, _t9_array_len);
    flick_mach3mig_encode_end_chunk(8);
    if (_t9_array_len)
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, (*arg)->value);
        flick_mach3mig_encode_end_chunk(8);
        flick_mach3mig_encode_end_glob(16);
        flick_marshal_stub_int_list(_stream, &(*arg)->next);
      }
    else
      {
        flick_mach3mig_encode_end_glob(16);
      }
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int_list _t18_storage;
                flick_unsigned8_t _t19_array_len;

                /* Begin decode phase on parameters */
                _return = &_t18_storage;
                flick_mach3mig_decode_new_glob(16);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_boolean(0, _t19_array_len);
                flick_mach3mig_decode_end_chunk(8);
                if (_t19_array_len)
                  {
                    *_return = sun_flick_alloc(_t19_array_len * sizeof(struct int_node ));
                    flick_mach3mig_decode_new_chunk(8);
                    flick_mach3mig_decode_signed32(0, (*_return)->value);
                    flick_mach3mig_decode_end_chunk(8);
                    flick_mach3mig_decode_end_glob(16);
                    flick_unmarshal_stub_int_list(_stream, &(*_return)->next);
                  }
                else
                  {
                    *_return = 0;
                    flick_mach3mig_decode_end_glob(16);
                  }
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

