#include "program-4-client.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_signed16(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_signed16(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_signed32(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_signed32(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_mach3mig_encode_new_glob(52);
  flick_mach3mig_encode_new_chunk(12 + 4 * _data->long_list_len);
  flick_mach3mig_encode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_encode_signed32_type(8, _data->long_list_len, 1, _type);
  if (_data->long_list_len > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->long_list_val, 4 * _data->long_list_len);
  flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->long_list_len);
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_mach3mig_decode_new_glob(52);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_decode_signed32_type(8, _data->long_list_len, 1, _type);
  if (_data->long_list_len > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_mach3mig_array_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_mach3mig_array_decode_end_chunk(4 * _data->long_list_len);
  flick_mach3mig_decode_end_glob(52);
}

short int *addshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  short int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t5_storage;

                /* Begin decode phase on parameters */
                _return = &_t5_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  short int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t9_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t9_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t11_storage;

                /* Begin decode phase on parameters */
                _return = &_t11_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  short int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t17_storage;

                /* Begin decode phase on parameters */
                _return = &_t17_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *addlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 4;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t21_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t21_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t21_switch_tag)
      {
      case (signed int) 1028:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t23_storage;

                /* Begin decode phase on parameters */
                _return = &_t23_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *sublong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t27_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t27_switch_tag)
      {
      case (signed int) 1029:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t29_storage;

                /* Begin decode phase on parameters */
                _return = &_t29_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *multlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 6;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t33_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t33_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t33_switch_tag)
      {
      case (signed int) 1030:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t35_storage;

                /* Begin decode phase on parameters */
                _return = &_t35_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *addlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(52);
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(12 + 4 * arg->long_list_len);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len, 1, _type);
    if (arg->long_list_len > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(12, arg->long_list_val, 4 * arg->long_list_len);
    flick_mach3mig_array_encode_end_chunk(12 + 4 * arg->long_list_len);
    flick_mach3mig_encode_end_glob(52);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t39_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t39_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t39_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t41_storage;

                /* Begin decode phase on parameters */
                _return = &_t41_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *multlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(52);
    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(12 + 4 * arg->long_list_len);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len, 1, _type);
    if (arg->long_list_len > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(12, arg->long_list_val, 4 * arg->long_list_len);
    flick_mach3mig_array_encode_end_chunk(12 + 4 * arg->long_list_len);
    flick_mach3mig_encode_end_glob(52);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t45_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t45_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t45_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t47_storage;

                /* Begin decode phase on parameters */
                _return = &_t47_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

