#include "structnestez_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const struct bar_foo *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

struct bar test_op(test _obj, struct bar *arg, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct bar _return;

  _return.f.f = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed16(32, arg->f.f);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.f.f);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct b test_op2(test _obj, struct b *arg, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct b _return;

  _return.f.f = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed16(36, arg->f.f);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.f.f);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

