#include "arrays-server.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const end *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1);
  flick_fluke_encode_char8(4, _data->elem2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, end *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1);
  flick_fluke_decode_char8(4, _data->elem2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const begin *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1);
  flick_fluke_encode_signed32(4, _data->elem2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, begin *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1);
  flick_fluke_decode_signed32(4, _data->elem2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const cLd *_data)
{
  flick_fluke_encode_new_glob(216);
  flick_fluke_encode_new_chunk(216);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 4 * 50);
  flick_fluke_encode_float64(208, _data->last);
  flick_fluke_encode_end_chunk(216);
  flick_fluke_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data)
{
  flick_unsigned8_t _t0_array_length;

  flick_fluke_decode_new_glob(216);
  flick_fluke_decode_new_chunk(216);
  flick_fluke_decode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_fluke_decode_bcopy(4, _data->data, 4 * _t0_array_length);
  flick_fluke_decode_float64(208, _data->last);
  flick_fluke_decode_end_chunk(216);
  flick_fluke_decode_end_glob(216);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const dLc *_data)
{
  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(209);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_bcopy(8, _data->data, 4 * 50);
  flick_fluke_encode_char8(208, _data->last);
  flick_fluke_encode_end_chunk(209);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data)
{
  flick_unsigned8_t _t1_array_length;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(209);
  flick_fluke_decode_float64(0, _data->first);
  _t1_array_length = 50;
  flick_fluke_decode_bcopy(8, _data->data, 4 * _t1_array_length);
  flick_fluke_decode_char8(208, _data->last);
  flick_fluke_decode_end_chunk(209);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const sLs *_data)
{
  flick_fluke_encode_new_glob(206);
  flick_fluke_encode_new_chunk(206);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 4 * 50);
  flick_fluke_encode_signed16(204, _data->last);
  flick_fluke_encode_end_chunk(206);
  flick_fluke_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data)
{
  flick_unsigned8_t _t2_array_length;

  flick_fluke_decode_new_glob(206);
  flick_fluke_decode_new_chunk(206);
  flick_fluke_decode_signed16(0, _data->first);
  _t2_array_length = 50;
  flick_fluke_decode_bcopy(4, _data->data, 4 * _t2_array_length);
  flick_fluke_decode_signed16(204, _data->last);
  flick_fluke_decode_end_chunk(206);
  flick_fluke_decode_end_glob(206);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const cLCd *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_fluke_encode_new_glob(416);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t3_array_iter].elem1);
      flick_fluke_encode_char8(7, _data->data[_t3_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(15);
  flick_fluke_encode_float64(7, _data->last);
  flick_fluke_encode_end_chunk(15);
  flick_fluke_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_fluke_decode_new_glob(416);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t4_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t5_array_iter].elem1);
      flick_fluke_decode_char8(7, _data->data[_t5_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(15);
  flick_fluke_decode_float64(7, _data->last);
  flick_fluke_decode_end_chunk(15);
  flick_fluke_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const dLCc *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t7_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const sLCs *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_fluke_encode_new_glob(405);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last);
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_fluke_decode_new_glob(405);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t10_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last);
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_fluke_encode_new_glob(413);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t12_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data)
{
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_fluke_decode_new_glob(413);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t13_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t14_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_fluke_encode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t16_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_fluke_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const sCLs *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_fluke_encode_new_glob(404);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t18_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data)
{
  flick_unsigned8_t _t19_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_fluke_decode_new_glob(404);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t19_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_decode_signed32(0, _data->data[_t20_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t124_switch_tag;

    flick_fluke_decode_new_glob(833);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t124_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t124_switch_tag)
      {
      case req_arrays_test_cLd:
        {
          {
            arrays *_obj;
            cLd *_local_inp;
            cLd *_local_iop;
            cLd *_local_outp;
            mom_exc_t *_ev;
            cLd _return;
            cLd _t125_storage;
            flick_unsigned8_t _t126_array_length;
            cLd _t127_storage;
            flick_unsigned8_t _t128_array_length;
            cLd _t129_storage;
            mom_exc_t _t130_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t125_storage;
            flick_fluke_decode_new_chunk(428);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t126_array_length = 50;
            flick_fluke_decode_bcopy(4, _local_inp->data, 4 * _t126_array_length);
            flick_fluke_decode_float64(204, _local_inp->last);
            _local_iop = &_t127_storage;
            flick_fluke_decode_char8(212, _local_iop->first);
            _t128_array_length = 50;
            flick_fluke_decode_bcopy(216, _local_iop->data, 4 * _t128_array_length);
            flick_fluke_decode_float64(420, _local_iop->last);
            _local_outp = &_t129_storage;
            _ev = &_t130_storage;
            flick_fluke_decode_end_chunk(428);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(648);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(644);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_bcopy(4, _return.data, 4 * 50);
                  flick_fluke_encode_float64(204, _return.last);
                  flick_fluke_encode_char8(212, _local_iop->first);
                  flick_fluke_encode_bcopy(216, _local_iop->data, 4 * 50);
                  flick_fluke_encode_float64(420, _local_iop->last);
                  flick_fluke_encode_char8(428, _local_outp->first);
                  flick_fluke_encode_bcopy(432, _local_outp->data, 4 * 50);
                  flick_fluke_encode_float64(636, _local_outp->last);
                  flick_fluke_encode_end_chunk(644);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(648);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLc:
        {
          {
            arrays *_obj;
            dLc *_local_inp;
            dLc *_local_iop;
            dLc *_local_outp;
            mom_exc_t *_ev;
            dLc _return;
            dLc _t131_storage;
            flick_unsigned8_t _t132_array_length;
            dLc _t133_storage;
            flick_unsigned8_t _t134_array_length;
            dLc _t135_storage;
            mom_exc_t _t136_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t131_storage;
            flick_fluke_decode_new_chunk(429);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t132_array_length = 50;
            flick_fluke_decode_bcopy(12, _local_inp->data, 4 * _t132_array_length);
            flick_fluke_decode_char8(212, _local_inp->last);
            _local_iop = &_t133_storage;
            flick_fluke_decode_float64(220, _local_iop->first);
            _t134_array_length = 50;
            flick_fluke_decode_bcopy(228, _local_iop->data, 4 * _t134_array_length);
            flick_fluke_decode_char8(428, _local_iop->last);
            _local_outp = &_t135_storage;
            _ev = &_t136_storage;
            flick_fluke_decode_end_chunk(429);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(649);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(645);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_bcopy(12, _return.data, 4 * 50);
                  flick_fluke_encode_char8(212, _return.last);
                  flick_fluke_encode_float64(220, _local_iop->first);
                  flick_fluke_encode_bcopy(228, _local_iop->data, 4 * 50);
                  flick_fluke_encode_char8(428, _local_iop->last);
                  flick_fluke_encode_float64(436, _local_outp->first);
                  flick_fluke_encode_bcopy(444, _local_outp->data, 4 * 50);
                  flick_fluke_encode_char8(644, _local_outp->last);
                  flick_fluke_encode_end_chunk(645);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(649);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLs:
        {
          {
            arrays *_obj;
            sLs *_local_inp;
            sLs *_local_iop;
            sLs *_local_outp;
            mom_exc_t *_ev;
            sLs _return;
            sLs _t137_storage;
            flick_unsigned8_t _t138_array_length;
            sLs _t139_storage;
            flick_unsigned8_t _t140_array_length;
            sLs _t141_storage;
            mom_exc_t _t142_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t137_storage;
            flick_fluke_decode_new_chunk(410);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t138_array_length = 50;
            flick_fluke_decode_bcopy(4, _local_inp->data, 4 * _t138_array_length);
            flick_fluke_decode_signed16(204, _local_inp->last);
            _local_iop = &_t139_storage;
            flick_fluke_decode_signed16(206, _local_iop->first);
            _t140_array_length = 50;
            flick_fluke_decode_bcopy(208, _local_iop->data, 4 * _t140_array_length);
            flick_fluke_decode_signed16(408, _local_iop->last);
            _local_outp = &_t141_storage;
            _ev = &_t142_storage;
            flick_fluke_decode_end_chunk(410);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(618);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(614);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_bcopy(4, _return.data, 4 * 50);
                  flick_fluke_encode_signed16(204, _return.last);
                  flick_fluke_encode_signed16(206, _local_iop->first);
                  flick_fluke_encode_bcopy(208, _local_iop->data, 4 * 50);
                  flick_fluke_encode_signed16(408, _local_iop->last);
                  flick_fluke_encode_signed16(410, _local_outp->first);
                  flick_fluke_encode_bcopy(412, _local_outp->data, 4 * 50);
                  flick_fluke_encode_signed16(612, _local_outp->last);
                  flick_fluke_encode_end_chunk(614);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(618);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cLCd:
        {
          {
            arrays *_obj;
            cLCd *_local_inp;
            cLCd *_local_iop;
            cLCd *_local_outp;
            mom_exc_t *_ev;
            cLCd _return;
            cLCd _t143_storage;
            flick_unsigned8_t _t144_array_length;
            flick_unsigned8_t _t145_array_iter;
            cLCd _t146_storage;
            flick_unsigned8_t _t147_array_length;
            flick_unsigned8_t _t148_array_iter;
            cLCd _t149_storage;
            mom_exc_t _t150_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t143_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t144_array_length = 50;
            flick_fluke_decode_end_chunk(1);
            for (_t145_array_iter = 0; _t145_array_iter < _t144_array_length; _t145_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_inp->data[_t145_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_inp->data[_t145_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(3, _local_inp->last);
            _local_iop = &_t146_storage;
            flick_fluke_decode_char8(11, _local_iop->first);
            _t147_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t148_array_iter = 0; _t148_array_iter < _t147_array_length; _t148_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_iop->data[_t148_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_iop->data[_t148_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(15);
            flick_fluke_decode_float64(7, _local_iop->last);
            _local_outp = &_t149_storage;
            _ev = &_t150_storage;
            flick_fluke_decode_end_chunk(15);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1248);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t154_array_iter;
                  flick_unsigned8_t _t155_array_iter;
                  flick_unsigned8_t _t156_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_end_chunk(1);
                  for (_t154_array_iter = 0; _t154_array_iter < 50; _t154_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _return.data[_t154_array_iter].elem1);
                      flick_fluke_encode_char8(7, _return.data[_t154_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(3, _return.last);
                  flick_fluke_encode_char8(11, _local_iop->first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t155_array_iter = 0; _t155_array_iter < 50; _t155_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_iop->data[_t155_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_iop->data[_t155_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_float64(7, _local_iop->last);
                  flick_fluke_encode_char8(15, _local_outp->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t156_array_iter = 0; _t156_array_iter < 50; _t156_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_outp->data[_t156_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_outp->data[_t156_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(15);
                  flick_fluke_encode_float64(7, _local_outp->last);
                  flick_fluke_encode_end_chunk(15);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1248);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLCc:
        {
          {
            arrays *_obj;
            dLCc *_local_inp;
            dLCc *_local_iop;
            dLCc *_local_outp;
            mom_exc_t *_ev;
            dLCc _return;
            dLCc _t157_storage;
            flick_unsigned8_t _t158_array_length;
            flick_unsigned8_t _t159_array_iter;
            dLCc _t160_storage;
            flick_unsigned8_t _t161_array_length;
            flick_unsigned8_t _t162_array_iter;
            dLCc _t163_storage;
            mom_exc_t _t164_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t157_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t158_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t159_array_iter = 0; _t159_array_iter < _t158_array_length; _t159_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t159_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t159_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t160_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
            flick_fluke_decode_float64(0, _local_iop->first);
            _t161_array_length = 50;
            flick_fluke_decode_end_chunk(8);
            for (_t162_array_iter = 0; _t162_array_iter < _t161_array_length; _t162_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t162_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t162_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            _local_outp = &_t163_storage;
            _ev = &_t164_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1247);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t168_array_iter;
                  flick_unsigned8_t _t169_array_iter;
                  flick_unsigned8_t _t170_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t168_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t168_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _local_iop->first);
                  flick_fluke_encode_end_chunk(8);
                  for (_t169_array_iter = 0; _t169_array_iter < 50; _t169_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t169_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t169_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _local_outp->first);
                  flick_fluke_encode_end_chunk(8);
                  for (_t170_array_iter = 0; _t170_array_iter < 50; _t170_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t170_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t170_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1247);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLCs:
        {
          {
            arrays *_obj;
            sLCs *_local_inp;
            sLCs *_local_iop;
            sLCs *_local_outp;
            mom_exc_t *_ev;
            sLCs _return;
            sLCs _t171_storage;
            flick_unsigned8_t _t172_array_length;
            flick_unsigned8_t _t173_array_iter;
            sLCs _t174_storage;
            flick_unsigned8_t _t175_array_length;
            flick_unsigned8_t _t176_array_iter;
            sLCs _t177_storage;
            mom_exc_t _t178_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t171_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t172_array_length = 50;
            flick_fluke_decode_end_chunk(2);
            for (_t173_array_iter = 0; _t173_array_iter < _t172_array_length; _t173_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t173_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t173_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(5);
            flick_fluke_decode_signed16(1, _local_inp->last);
            _local_iop = &_t174_storage;
            flick_fluke_decode_signed16(3, _local_iop->first);
            _t175_array_length = 50;
            flick_fluke_decode_end_chunk(5);
            for (_t176_array_iter = 0; _t176_array_iter < _t175_array_length; _t176_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t176_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t176_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_signed16(1, _local_iop->last);
            _local_outp = &_t177_storage;
            _ev = &_t178_storage;
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1219);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t182_array_iter;
                  flick_unsigned8_t _t183_array_iter;
                  flick_unsigned8_t _t184_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_end_chunk(2);
                  for (_t182_array_iter = 0; _t182_array_iter < 50; _t182_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t182_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t182_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _return.last);
                  flick_fluke_encode_signed16(3, _local_iop->first);
                  flick_fluke_encode_end_chunk(5);
                  for (_t183_array_iter = 0; _t183_array_iter < 50; _t183_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t183_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t183_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _local_iop->last);
                  flick_fluke_encode_signed16(3, _local_outp->first);
                  flick_fluke_encode_end_chunk(5);
                  for (_t184_array_iter = 0; _t184_array_iter < 50; _t184_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t184_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t184_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_signed16(1, _local_outp->last);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1219);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cCLd:
        {
          {
            arrays *_obj;
            cCLd *_local_inp;
            cCLd *_local_iop;
            cCLd *_local_outp;
            mom_exc_t *_ev;
            cCLd _return;
            cCLd _t185_storage;
            flick_unsigned8_t _t186_array_length;
            flick_unsigned8_t _t187_array_iter;
            cCLd _t188_storage;
            flick_unsigned8_t _t189_array_length;
            flick_unsigned8_t _t190_array_iter;
            cCLd _t191_storage;
            mom_exc_t _t192_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t185_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t186_array_length = 50;
            flick_fluke_decode_end_chunk(1);
            for (_t187_array_iter = 0; _t187_array_iter < _t186_array_length; _t187_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t187_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t187_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_inp->last);
            _local_iop = &_t188_storage;
            flick_fluke_decode_char8(8, _local_iop->first);
            _t189_array_length = 50;
            flick_fluke_decode_end_chunk(9);
            for (_t190_array_iter = 0; _t190_array_iter < _t189_array_length; _t190_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_iop->data[_t190_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t190_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_iop->last);
            _local_outp = &_t191_storage;
            _ev = &_t192_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1243);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t196_array_iter;
                  flick_unsigned8_t _t197_array_iter;
                  flick_unsigned8_t _t198_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_end_chunk(1);
                  for (_t196_array_iter = 0; _t196_array_iter < 50; _t196_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _return.data[_t196_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t196_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _return.last);
                  flick_fluke_encode_char8(8, _local_iop->first);
                  flick_fluke_encode_end_chunk(9);
                  for (_t197_array_iter = 0; _t197_array_iter < 50; _t197_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_iop->data[_t197_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t197_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_iop->last);
                  flick_fluke_encode_char8(8, _local_outp->first);
                  flick_fluke_encode_end_chunk(9);
                  for (_t198_array_iter = 0; _t198_array_iter < 50; _t198_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_outp->data[_t198_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t198_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1243);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dCLc:
        {
          {
            arrays *_obj;
            dCLc *_local_inp;
            dCLc *_local_iop;
            dCLc *_local_outp;
            mom_exc_t *_ev;
            dCLc _return;
            dCLc _t199_storage;
            flick_unsigned8_t _t200_array_length;
            flick_unsigned8_t _t201_array_iter;
            dCLc _t202_storage;
            flick_unsigned8_t _t203_array_length;
            flick_unsigned8_t _t204_array_iter;
            dCLc _t205_storage;
            mom_exc_t _t206_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t199_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t200_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t201_array_iter = 0; _t201_array_iter < _t200_array_length; _t201_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_inp->data[_t201_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_inp->data[_t201_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t202_storage;
            flick_fluke_decode_float64(8, _local_iop->first);
            _t203_array_length = 50;
            flick_fluke_decode_end_chunk(16);
            for (_t204_array_iter = 0; _t204_array_iter < _t203_array_length; _t204_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t204_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t204_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            _local_outp = &_t205_storage;
            _ev = &_t206_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1249);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t210_array_iter;
                  flick_unsigned8_t _t211_array_iter;
                  flick_unsigned8_t _t212_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t210_array_iter = 0; _t210_array_iter < 50; _t210_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _return.data[_t210_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _return.data[_t210_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_float64(8, _local_iop->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t211_array_iter = 0; _t211_array_iter < 50; _t211_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_iop->data[_t211_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_iop->data[_t211_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_float64(8, _local_outp->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t212_array_iter = 0; _t212_array_iter < 50; _t212_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t212_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t212_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1249);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sCLs:
        {
          {
            arrays *_obj;
            sCLs *_local_inp;
            sCLs *_local_iop;
            sCLs *_local_outp;
            mom_exc_t *_ev;
            sCLs _return;
            sCLs _t213_storage;
            flick_unsigned8_t _t214_array_length;
            flick_unsigned8_t _t215_array_iter;
            sCLs _t216_storage;
            flick_unsigned8_t _t217_array_length;
            flick_unsigned8_t _t218_array_iter;
            sCLs _t219_storage;
            mom_exc_t _t220_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t213_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t214_array_length = 50;
            flick_fluke_decode_end_chunk(2);
            for (_t215_array_iter = 0; _t215_array_iter < _t214_array_length; _t215_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t215_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
                flick_fluke_decode_signed32(0, _local_inp->data[_t215_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_inp->last);
            _local_iop = &_t216_storage;
            flick_fluke_decode_signed16(2, _local_iop->first);
            _t217_array_length = 50;
            flick_fluke_decode_end_chunk(4);
            for (_t218_array_iter = 0; _t218_array_iter < _t217_array_length; _t218_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t218_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t218_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_iop->last);
            _local_outp = &_t219_storage;
            _ev = &_t220_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1216);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t224_array_iter;
                  flick_unsigned8_t _t225_array_iter;
                  flick_unsigned8_t _t226_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_end_chunk(2);
                  for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _return.data[_t224_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
                      flick_fluke_encode_signed32(0, _return.data[_t224_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _return.last);
                  flick_fluke_encode_signed16(2, _local_iop->first);
                  flick_fluke_encode_end_chunk(4);
                  for (_t225_array_iter = 0; _t225_array_iter < 50; _t225_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_iop->data[_t225_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_iop->data[_t225_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_iop->last);
                  flick_fluke_encode_signed16(2, _local_outp->first);
                  flick_fluke_encode_end_chunk(4);
                  for (_t226_array_iter = 0; _t226_array_iter < 50; _t226_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t226_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t226_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1216);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(833);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
