#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(1 * _data->_length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->_length);
  flick_mach3mig_array_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->_length);
  flick_mach3mig_array_encode_end_glob(1 * _data->_length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(1 * _data->_length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->_length);
  flick_mach3mig_array_decode_end_glob(1 * _data->_length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(1 * _data->_length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->_length);
  flick_mach3mig_array_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->_length);
  flick_mach3mig_array_encode_end_glob(1 * _data->_length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(1 * _data->_length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->_length);
  flick_mach3mig_array_decode_end_glob(1 * _data->_length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  ReferenceData *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 'g');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'd');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(116);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t11_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t11_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t12_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t12_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t12_switch_tag)
            {
            case '$':
              {
                char _t13_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t13_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t13_switch_tag)
                  {
                  case '<':
                    {
                      char _t14_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t14_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t14_switch_tag)
                        {
                        case '_':
                          {
                            char _t15_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t15_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t15_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t16_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t16_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t17_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t17_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t18_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t18_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t19_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t19_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t20_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t20_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t21_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t21_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                            flick_mach3mig_array_decode_unsigned8_type(8, _return->_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
                                                                            flick_mach3mig_array_decode_end_glob(116);
                                                                            flick_mach3mig_array_decode_new_glob(1 * _return->_length);
                                                                            flick_mach3mig_array_decode_new_chunk(1 * _return->_length);
                                                                            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                            flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                                                            flick_mach3mig_array_decode_end_chunk(1 * _return->_length);
                                                                            flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                            flick_mach3mig_decode_new_glob(3);
                                                                            flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
                                                                            flick_mach3mig_decode_end_chunk(0);
                                                                            flick_mach3mig_decode_end_glob(3);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(116);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(116);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(92);
    flick_mach3mig_encode_new_chunk(92);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 's');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'd');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(72, id->_length);
    flick_mach3mig_array_encode_unsigned8_type(80, id->_length, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(92);
    flick_mach3mig_array_encode_end_glob(92);
    flick_mach3mig_array_encode_new_glob(1 * id->_length);
    flick_mach3mig_array_encode_new_chunk(1 * id->_length);
    flick_mach3mig_array_encode_bcopy(0, id->_buffer, 1 * id->_length);
    flick_mach3mig_array_encode_end_chunk(1 * id->_length);
    flick_mach3mig_array_encode_end_glob(1 * id->_length);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t32_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t32_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t32_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t33_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t33_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t33_switch_tag)
            {
            case '<':
              {
                char _t34_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t34_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t34_switch_tag)
                  {
                  case '_':
                    {
                      char _t35_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t35_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t35_switch_tag)
                        {
                        case 's':
                          {
                            char _t36_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t36_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t36_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t37_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t37_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t37_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t38_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t38_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t39_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t39_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t40_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t40_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t40_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t41_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t41_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t41_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
}

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  OctetSequence *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 'g');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'f');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t55_switch_tag;

    flick_mach3mig_decode_new_glob(132);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t55_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t55_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t56_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t56_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t56_switch_tag)
            {
            case '$':
              {
                char _t57_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t57_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t57_switch_tag)
                  {
                  case '<':
                    {
                      char _t58_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t58_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t58_switch_tag)
                        {
                        case '_':
                          {
                            char _t59_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t59_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t59_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t60_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t60_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t60_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t61_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t61_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t62_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t62_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t63_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t63_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t64_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t64_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t64_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t65_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t65_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t65_switch_tag)
                                                                  {
                                                                  case 'f':
                                                                    {
                                                                      char _t66_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t66_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t66_switch_tag)
                                                                        {
                                                                        case 'o':
                                                                          {
                                                                            char _t67_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t67_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t67_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        _return = CORBA_flick_alloc(sizeof(OctetSequence ));
                                                                                        flick_mach3mig_decode_new_chunk(20);
                                                                                        flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                                        flick_mach3mig_array_decode_unsigned8_type(8, _return->_length, 1, _long_type);
                                                                                        flick_mach3mig_array_decode_end_chunk(20);
                                                                                        flick_mach3mig_array_decode_end_glob(132);
                                                                                        flick_mach3mig_array_decode_new_glob(1 * _return->_length);
                                                                                        flick_mach3mig_array_decode_new_chunk(1 * _return->_length);
                                                                                        _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                                        flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                                                                        flick_mach3mig_array_decode_end_chunk(1 * _return->_length);
                                                                                        flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                                        flick_mach3mig_decode_new_glob(3);
                                                                                        flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
                                                                                        flick_mach3mig_decode_end_chunk(0);
                                                                                        flick_mach3mig_decode_end_glob(3);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(132);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(132);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(132);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(132);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(132);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(132);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(132);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(132);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(108);
    flick_mach3mig_encode_new_chunk(108);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 's');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'f');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(88, info->_length);
    flick_mach3mig_array_encode_unsigned8_type(96, info->_length, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(108);
    flick_mach3mig_array_encode_end_glob(108);
    flick_mach3mig_array_encode_new_glob(1 * info->_length);
    flick_mach3mig_array_encode_new_chunk(1 * info->_length);
    flick_mach3mig_array_encode_bcopy(0, info->_buffer, 1 * info->_length);
    flick_mach3mig_array_encode_end_chunk(1 * info->_length);
    flick_mach3mig_array_encode_end_glob(1 * info->_length);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t80_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t80_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t80_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t81_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t81_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t81_switch_tag)
            {
            case '<':
              {
                char _t82_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t82_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t82_switch_tag)
                  {
                  case '_':
                    {
                      char _t83_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t83_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t83_switch_tag)
                        {
                        case 's':
                          {
                            char _t84_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t84_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t84_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t85_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t85_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t85_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t86_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t86_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t86_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t87_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t87_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t88_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t88_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t88_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t89_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t89_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t89_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t90_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t90_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t90_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t91_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t91_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t91_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
}

